# UpgradeType

Enum in [Yarn.Compiler.Upgrader](/2.4/api/csharp/yarn.compiler.upgrader.md)

Inherits from `System.Enum`

## Summary

Specifies what kind of language upgrading should be applied.

```csharp
public enum UpgradeType
{
    Version1to2
}
```

## Members

| Name                                                                                                                                       | Description                                                                   |
| ------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------- |
| [Version1to2](/2.4/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgradetype/yarn.compiler.upgrader.upgradetype.version1to2.md) | Indicates an upgrade from Yarn Spinner 1.0 syntax to Yarn Spinner 2.0 syntax. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgradetype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
